// pokervw.h : interface of the CPokerView class
//
/////////////////////////////////////////////////////////////////////////////

class CPokerView : public CView
{
protected: // create from serialization only
	CPokerView();
	DECLARE_DYNCREATE(CPokerView)

// Attributes
public:
	CPokerDoc* GetDocument();

// Variables

// Operations
public:

	int 	PlayerCard(int nPlayer, int nCard);
	int 	CardDrawMode(int nPlayer, int nCard);
	void	OnAnimate();
	void	Play(int nPlayer);
	void 	PlayerAction(int nPlayer, int nBet);
	void	DrawSelect(int nPlayer);
	void	DrawDiscard(int nPlayer);
	void	DrawDeal(int nPlayer);
	void	Showdown(int nPlayer);
	void	DrawOnePlayer(CClientDC * pDC, int nPlayer);
	
// Implementation
public:
	virtual ~CPokerView();
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Printing support
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Generated message map functions
protected:
	//{{AFX_MSG(CPokerView)
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnViewChangecardbacks();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnDestroy();
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnFileNewgame();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnUpdateMovesBet(CCmdUI* pCmdUI);
	afx_msg void OnUpdateMovesCall(CCmdUI* pCmdUI);
	afx_msg void OnUpdateMovesCheck(CCmdUI* pCmdUI);
	afx_msg void OnUpdateMovesFold(CCmdUI* pCmdUI);
	afx_msg void OnUpdateMovesRaise(CCmdUI* pCmdUI);
	afx_msg void OnMovesBet();
	afx_msg void OnUpdateMovesDeal(CCmdUI* pCmdUI);
	afx_msg void OnMovesDeal();
	afx_msg void OnMovesCall();
	afx_msg void OnMovesFold();
	afx_msg void OnMovesRaise();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG	// debug version in pokervw.cpp
inline CPokerDoc* CPokerView::GetDocument()
   { return (CPokerDoc*) m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
